For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add a consent change to a customer

Add a consent change to a customer

Required permissions: CUSTOMER

post
/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Body
sourcestringRequired
statusbooleanRequired

Is the consent active or withdrawn

Responses
200

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
statusbooleanRequired
sourcestringRequired
createdAtstring · date-timeRequired
post/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
POST /v2/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "source": "text",
  "status": true
}
200

Example response

{
  "consentUid": "text",
  "name": "text",
  "status": true,
  "source": "text",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?